> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Consent list



## OpenAPI

````yaml post /abdm/v1/consents/list
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v1/consents/list:
    post:
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsentListConsentRequest'
      responses:
        '204':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsentListConsentResponse'
          description: No Content
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ConsentListConsentRequest:
      properties:
        hiu:
          $ref: '#/components/schemas/CommonsEkaDocReference'
        patient:
          $ref: '#/components/schemas/CommonsEkaPatientReference'
      type: object
    ConsentListConsentResponse:
      properties:
        consents:
          items:
            $ref: '#/components/schemas/ConsentConsentDetail'
          type:
            - array
            - 'null'
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    CommonsEkaDocReference:
      properties:
        clinic_id:
          examples:
            - afsdfj786fges87f68g8
          type: string
        d_oid:
          examples:
            - '162835406498984'
          type: string
      type: object
    CommonsEkaPatientReference:
      properties:
        health_id:
          examples:
            - bobthebuilder@abdm
          type: string
        oid:
          examples:
            - '162835406498984'
          type: string
      type: object
    ConsentConsentDetail:
      properties:
        c_at:
          format: date-time
          type: string
        consent_id:
          type: string
        consent_init_id:
          type: string
        period:
          $ref: '#/components/schemas/CommonsPeriodWithExpiry'
        status:
          type: string
        u_at:
          format: date-time
          type: string
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
    CommonsPeriodWithExpiry:
      properties:
        expiry:
          examples:
            - '2009-11-10T23:00:00Z'
          format: date-time
          type: string
        from:
          examples:
            - '2009-11-10T23:00:00Z'
          format: date-time
          type: string
        to:
          examples:
            - '2009-11-10T23:00:00Z'
          format: date-time
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````